## gfarm 2.6.4.1+dfsg

=== regress/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

LOG=			log

CHECK_ENV=	LANG=C PATH=$(prefix)/bin:$$PATH

# subdirectories which have to be built
SUBDIRS=	\
	lib/libgfarm/gfutil/utf8 \
	lib/libgfarm/gfarm/empty_acl \
	lib/libgfarm/gfarm/gfarm_error_range_alloc \
	lib/libgfarm/gfarm/gfarm_error_to_errno \
	lib/libgfarm/gfarm/gfs_dir_test \
	lib/libgfarm/gfarm/gfs_pio_test \
	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/file_busy \
	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/in_progress \
	lib/libgfarm/gfarm/gfs_stat_cached \
	lib/libgfarm/gfarm/gfs_xattr \
	lib/libgfarm/gfarm/gfs_getxattr_cached \
	lib/libgfarm/gfarm/gfm_inode_or_name_op_test \
	server/gfmd/db_journal \
	manual/lib/libgfarm/gfarm/gfs_pio_failover

check test: all
	@echo ""
	@$(CHECK_ENV) $(srcdir)/regress.sh
	@echo ""

check-jenkins: all
	@echo ""
	@$(CHECK_ENV) $(srcdir)/regress.sh -j "${JENKINS_CLASSNAME}"
	@echo ""

loop: all
	@@$(CHECK_ENV) $(srcdir)/loop.sh

all: config

config:
	test -f Makefile || \
	( \
	echo "regress=$(srcdir)"; \
	echo ". $(srcdir)/regress.conf"; \
	) > regress.conf

distclean:
	-$(RM) -f $(LOG)
	-test -f Makefile || $(RM) -f regress.conf

include $(top_srcdir)/makes/subdir.mk

=== gftool/gfprep/Makefile ===
# $Id: Makefile 8959 2014-03-14 08:00:27Z n-soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = gfpcopy-test gfpcopy-stress

GFREP_SRCDIR = $(srcdir)/../gfrep

SRCS = gfprep.c gfarm_list.c gfarm_parallel.c gfarm_dirtree.c gfarm_fifo.c \
	gfarm_pfunc.c
OBJS = gfprep.o gfarm_list.o gfarm_parallel.o gfarm_dirtree.o gfarm_fifo.o \
	gfarm_pfunc.o
EXTRA_CLEAN_TARGETS = gfarm_list.c
PROGRAM = gfprep
GFPCOPY = gfpcopy
CFLAGS = $(pthread_includes) $(COMMON_CFLAGS) \
	-I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	-I$(GFREP_SRCDIR) -I$(srcdir) $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

post-install-hook:
	rm -f $(DESTDIR)$(bindir)/$(GFPCOPY)
	ln $(DESTDIR)$(bindir)/$(PROGRAM) $(DESTDIR)$(bindir)/$(GFPCOPY)

gfarm_list.c:
	ln -s $(srcdir)/../gfrep/gfarm_list.c .

include $(top_srcdir)/makes/prog.mk
include $(top_srcdir)/makes/subdir.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/hash.h \
	$(GFUTIL_SRCDIR)/nanosec.h \
	$(GFUTIL_SRCDIR)/thrsubr.h \
	$(GFUTIL_SRCDIR)/gfutil.h \
	$(GFUTIL_SRCDIR)/queue.h \
	$(GFARMLIB_SRCDIR)/config.h \
	$(GFARMLIB_SRCDIR)/context.h \
	$(GFARMLIB_SRCDIR)/gfarm_path.h \
	$(GFARMLIB_SRCDIR)/gfm_client.h \
	$(GFARMLIB_SRCDIR)/host.h \
	$(GFARMLIB_SRCDIR)/lookup.h \
	$(GFARMLIB_SRCDIR)/gfs_pio.h \
	$(GFARMLIB_SRCDIR)/humanize_number.h \
	$(GFREP_SRCDIR)/gfarm_list.h \
	gfprep.h \
	gfarm_parallel.h \
	gfarm_dirtree.h \
	gfarm_fifo.h \
	gfarm_pfunc.h

=== server/gfmd/Makefile ===
# $Id: Makefile 8503 2013-08-09 08:28:43Z n-soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk
include $(srcdir)/../Makefile.inc

CFLAGS = $(pthread_includes) $(COMMON_CFLAGS) \
	-I$(GFUTIL_SRCDIR) -I$(GFSL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(srcdir) \
	$(metadb_client_includes) $(optional_cflags) \
	-DGFMD_CONFIG='"$(sysconfdir)/gfmd.conf"'
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(metadb_client_libs) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = gfmd

LDAP_SRCS = db_ldap.c
LDAP_OBJS = db_ldap.lo
POSTGRESQL_SRCS = db_pgsql.c
POSTGRESQL_OBJS = db_pgsql.lo

PRIVATE_RULE = $(PRIVATE_SERVER_GFMD_RULE)
PRIVATE_SRCS = $(PRIVATE_SERVER_GFMD_SRCS)
PRIVATE_FILES = $(PRIVATE_SERVER_GFMD_FILES)
PRIVATE_OBJS = $(PRIVATE_SERVER_GFMD_OBJS)
PUBLIC_RULE  = /dev/null
PUBLIC_SRCS  =
PUBLIC_OBJS  =

SRCS =	gfmd.c thrpool.c callout.c subr.c rpcsubr.c watcher.c \
	user.c group.c host.c peer.c dead_file_copy.c \
	process.c job.c abstract_host.c replica_check.c \
	dir.c inode.c fs.c back_channel.c acl.c journal_file.c \
	mdhost.c gfmd_channel.c mdcluster.c \
	db_access.c db_common.c db_none.c quota.c xattr.c \
	db_journal.c db_journal_apply.c internal_host_info.c \
	fsngroup.c failover_notify.c \
	$(ldap_srcs) $(postgresql_srcs) $(optional_srcs)
OBJS =	gfmd.o thrpool.o callout.o subr.o rpcsubr.o watcher.o \
	user.o group.o host.o peer.o dead_file_copy.o \
	process.o job.o abstract_host.o replica_check.o \
	dir.o inode.o fs.o back_channel.o acl.o journal_file.o \
	mdhost.o gfmd_channel.o mdcluster.o \
	db_access.o db_common.o db_none.o quota.o xattr.o \
	db_journal.o db_journal_apply.o internal_host_info.o \
	fsngroup.o failover_notify.o \
	$(ldap_objs) $(postgresql_objs) $(optional_objs)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk
include $(top_srcdir)/makes/gflog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/gfutil.h \
	$(GFUTIL_SRCDIR)/gflog_reduced.h \
	$(GFUTIL_SRCDIR)/hash.h \
	$(GFUTIL_SRCDIR)/id_table.h \
	$(GFUTIL_SRCDIR)/tree.h \
	$(GFUTIL_SRCDIR)/thrsubr.h \
	$(GFARMLIB_SRCDIR)/context.h \
	$(GFARMLIB_SRCDIR)/patmatch.h \
	$(GFARMLIB_SRCDIR)/gfp_xdr.h \
	$(GFARMLIB_SRCDIR)/io_fd.h \
	$(GFARMLIB_SRCDIR)/sockopt.h \
	$(GFARMLIB_SRCDIR)/auth.h \
	$(GFARMLIB_SRCDIR)/config.h \
	$(GFARMLIB_SRCDIR)/gfm_proto.h \
	$(GFARMLIB_SRCDIR)/gfj_client.h \
	$(GFARMLIB_SRCDIR)/timespec.h \
	thrpool.h subr.h rpcsubr.h callout.h watcher.h acl.h db_access.h \
	user.h group.h host.h peer.h dead_file_copy.h process.h job.h \
	dir.h inode.h fs.h back_channel.h protocol_state.h quota.h xattr.h \
	journal_file.h db_journal.h db_journal_apply.h abstract_host.h \
	gfmd_channel.h mdhost.h mdcluster.h replica_check.h fsngroup.h

include $(optional_rule)

=== systest/testcases/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

datadir=$(default_datadir)/gfarm/systest/testcases/gfarm_v2

DATA =	$(srcdir)/configuration \
	$(srcdir)/failover_by_stop \
	$(srcdir)/failover_by_kill \
	$(srcdir)/failover_by_reboot \
	$(srcdir)/failover_in_read \
	$(srcdir)/failover_in_write

include $(top_srcdir)/makes/data.mk

=== lib/libgfarm/gfarm/Makefile ===
# $Id: Makefile 9186 2014-07-31 03:59:43Z n-soda $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk
PRIVATE_RULE = $(PRIVATE_LIB_LIBGFARM_GFARM_RULE)
PRIVATE_SRCS = $(PRIVATE_LIB_LIBGFARM_GFARM_SRCS)
PRIVATE_FILES = $(PRIVATE_LIB_LIBGFARM_GFARM_FILES)
PRIVATE_OBJS = $(PRIVATE_LIB_LIBGFARM_GFARM_OBJS)
PUBLIC_RULE  = /dev/null
PUBLIC_SRCS  =
PUBLIC_OBJS  =

LIBRARY = libgfarmcore.la
LIBRARY_RESULT = # do not install

GLOBUS_SRCS = auth_client_gsi.c auth_common_gsi.c \
	auth_server_gsi.c auth_server_uid_gsi.c io_gfsl.c
GLOBUS_OBJS = auth_client_gsi.lo auth_common_gsi.lo \
	auth_server_gsi.lo auth_server_uid_gsi.lo io_gfsl.lo
GLOBUS_CFLAGS = -I$(GFSL_SRCDIR) $(globus_includes)

SRCS = \
	context.c \
	crc32.c \
	liberror.c \
	hostspec.c \
	host.c \
	param.c \
	sockopt.c \
	auth_config.c \
	stringlist.c \
	config.c \
	config_server.c \
	config_client.c \
	import_help.c \
	iobuffer.c \
	gfp_xdr.c \
	gfp_xdr_server.c \
	gfs_proto.c \
	io_fd.c \
	metadb_common.c \
	metadb_server.c \
	auth_common.c \
	auth_client.c \
	auth_server.c \
	auth_server_uid.c \
	conn_hash.c \
	conn_cache.c \
	filesystem.c \
	gfm_client.c \
	gfs_client.c \
	gfm_conn_follow.c \
	gfm_schedule.c \
	lookup.c \
	gfs_io.c \
	gfs_dir.c \
	gfs_dirplus.c \
	gfs_dirplusxattr.c \
	gfs_dircache.c \
	gfs_attrplus.c \
	gfs_pio.c \
	gfs_pio_section.c \
	gfs_pio_local.c gfs_pio_remote.c \
	gfs_pio_failover.c \
	gfs_profile.c \
	gfs_chmod.c \
	gfs_chown.c \
	gfs_link.c \
	gfs_stat.c \
	gfs_statfs.c \
	gfs_statfsnode.c \
	gfs_statsw.c \
	gfs_mkdir.c \
	gfs_quota.c \
	gfs_readlink.c \
	gfs_realpath.c \
	gfs_remove.c \
	gfs_rename.c \
	gfs_replica.c \
	gfs_replica_info.c \
	gfs_replicate.c \
	gfs_rmdir.c \
	gfs_symlink.c \
	gfs_unlink.c \
	gfs_util.c \
	gfs_utimes.c \
	gfs_xattr.c \
	gfs_acl.c \
	gfarm_foreach.c \
	gfarm_path.c \
	glob.c \
	humanize_number.c \
	patmatch.c \
	schedule.c \
	sockutil.c \
	timespec.c \
	url.c \
	repattr.c \
	iostat.c \
	$(globus_srcs) \
	$(optional_srcs)

#	$(ldap_srcs) $(postgresql_srcs)

OBJS = \
	context.lo \
	crc32.lo \
	liberror.lo \
	hostspec.lo \
	host.lo \
	param.lo \
	sockopt.lo \
	auth_config.lo \
	stringlist.lo \
	config.lo \
	config_server.lo \
	config_client.lo \
	import_help.lo \
	iobuffer.lo \
	gfp_xdr.lo \
	gfp_xdr_server.lo \
	gfs_proto.lo \
	io_fd.lo \
	metadb_common.lo \
	metadb_server.lo \
	auth_common.lo \
	auth_client.lo \
	auth_server.lo \
	auth_server_uid.lo \
	conn_hash.lo \
	conn_cache.lo \
	filesystem.lo \
	gfm_client.lo \
	gfs_client.lo \
	gfm_conn_follow.lo \
	gfm_schedule.lo \
	lookup.lo \
	gfs_io.lo \
	gfs_dir.lo \
	gfs_dirplus.lo \
	gfs_dirplusxattr.lo \
	gfs_dircache.lo \
	gfs_attrplus.lo \
	gfs_pio.lo \
	gfs_pio_section.lo \
	gfs_pio_local.lo gfs_pio_remote.lo \
	gfs_pio_failover.lo \
	gfs_profile.lo \
	gfs_chmod.lo \
	gfs_chown.lo \
	gfs_link.lo \
	gfs_stat.lo \
	gfs_statfs.lo \
	gfs_statfsnode.lo \
	gfs_statsw.lo \
	gfs_mkdir.lo \
	gfs_quota.lo \
	gfs_readlink.lo \
	gfs_realpath.lo \
	gfs_remove.lo \
	gfs_rename.lo \
	gfs_replica.lo \
	gfs_replica_info.lo \
	gfs_replicate.lo \
	gfs_rmdir.lo \
	gfs_symlink.lo \
	gfs_unlink.lo \
	gfs_util.lo \
	gfs_utimes.lo \
	gfs_xattr.lo \
	gfs_acl.lo \
	gfarm_foreach.lo \
	gfarm_path.lo \
	glob.lo \
	humanize_number.lo \
	patmatch.lo \
	schedule.lo \
	sockutil.lo \
	timespec.lo \
	url.lo \
	repattr.lo \
	iostat.lo \
	$(globus_objs) \
	$(optional_objs)

#	$(ldap_objs) $(postgresql_objs)

CFLAGS = $(pthread_includes) \
	$(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(srcdir) \
	$(globus_cflags) $(metadb_client_includes) $(openssl_includes) \
	$(optional_cflags) \
	-DGFARM_CONFIG='"$(sysconfdir)/gfarm2.conf"'

all: $(LIBRARY)

include $(top_srcdir)/makes/lib.mk
include $(top_srcdir)/makes/gflog.mk

$(OBJS): $(DEPGFARMINC)
$(GLOBUS_OBJS): $(DEPGFSLINC)
auth_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h context.h liberror.h gfp_xdr.h auth.h
auth_client_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h liberror.h gfp_xdr.h io_fd.h io_gfsl.h auth.h auth_gsi.h gfs_proto.h
auth_common.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/thrsubr.h context.h liberror.h auth.h
auth_common_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/thrsubr.h $ $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h context.h liberror.h gfpath.h auth.h auth_gsi.h
auth_config.lo: context.h liberror.h hostspec.h auth.h
auth_server.lo: $(GFUTIL_SRCDIR)/gfutil.h context.h liberror.h hostspec.h auth.h gfp_xdr.h gfs_proto.h gfm_proto.h
auth_server_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h liberror.h gfp_xdr.h io_fd.h io_gfsl.h auth.h auth_gsi.h gfs_proto.h
auth_server_uid.lo: $(GFUTIL_SRCDIR)/gfutil.h auth.h gfm_client.h
auth_server_uid_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h auth.h gfm_client.h
config.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h context.h liberror.h patmatch.h hostspec.h param.h sockopt.h host.h auth.h gfpath.h config.h gfm_proto.h gfs_proto.h gfs_profile.h gfm_client.h lookup.h metadb_server.h filesystem.h conn_hash.h conn_cache.h humanize_number.h $(top_builddir)/makes/config.mk # $(GFARM_CONFIG) -> $(sysconfdir)
config_client.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h context.h liberror.h gfs_profile.h host.h auth.h gfpath.h config.h gfm_client.h gfs_proto.h gfs_client.h lookup.h filesystem.h metadb_server.h
config_server.lo: $(GFUTIL_SRCDIR)/gfutil.h context.h liberror.h auth.h gfpath.h config.h
conn_cache.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h $(GFUTIL_SRCDIR)/thrsubr.h conn_hash.h conn_cache.h
conn_hash.lo: $(GFUTIL_SRCDIR)/hash.h conn_hash.h
context.lo: context.h config.h
error.lo: $(GFUTIL_SRCDIR)/hash.h
crc32.lo: crc32.h
filesystem.lo: $(GFUTIL_SRCDIR)/hash.h context.h filesystem.h metadb_server.h gfm_client.h gfs_file_list.h
gfm_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/gfnetdb.h $(GFUTIL_SRCDIR)/lru_cache.h $(GFUTIL_SRCDIR)/queue.h context.h gfp_xdr.h io_fd.h sockopt.h sockutil.h host.h auth.h config.h conn_cache.h gfm_proto.h gfj_client.h xattr_info.h gfm_client.h quota_info.h metadb_server.h filesystem.h liberror.h
gfm_conn_follow.lo: gfm_client.h lookup.h
gfm_schedule.lo: gfm_client.h gfm_schedule.h gfs_failover.h lookup.h
gfp_xdr.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h iobuffer.h gfp_xdr.h
gfp_xdr_server.lo: $(GFUTIL_SRCDIR)/id_table.h $(GFUTIL_SRCDIR)/thrsubr.h liberror.h gfp_xdr.h
gfs_acl.lo:
gfs_chmod.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h context.h gfs_profile.h gfm_client.h lookup.h
gfs_chown.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h context.h gfs_profile.h gfm_client.h lookup.h
gfs_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h context.h liberror.h sockutil.h iobuffer.h gfp_xdr.h io_fd.h host.h sockopt.h auth.h config.h conn_cache.h gfs_proto.h gfs_client.h gfm_client.h iostat.h filesystem.h gfs_failover.h
gfs_dir.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h gfs_profile.h gfm_client.h config.h lookup.h gfs_io.h gfs_dir.h gfs_failover.h
gfs_dirplus.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h lookup.h gfs_io.h gfs_failover.h
gfs_dirplusxattr.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h gfs_io.h gfs_dirplusxattr.h gfs_failover.h
gfs_dircache.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h context.h config.h gfs_dir.h gfs_dirplusxattr.h gfs_dircache.h gfs_attrplus.h
gfs_attrplus.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h gfs_attrplus.h
gfs_io.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h lookup.h gfs_io.h
gfs_link.lo: context.h gfm_client.h lookup.h
gfs_mkdir.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
gfs_pio.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/msgdigest.h $(GFUTIL_SRCDIR)/queue.h $(GFUTIL_SRCDIR)/thrsubr.h context.h liberror.h filesystem.h gfs_profile.h gfm_client.h gfs_proto.h gfs_io.h gfs_pio.h gfp_xdr.h gfs_failover.h gfs_file_list.h
gfs_pio_local.lo: $(GFUTIL_SRCDIR)/queue.h gfs_proto.h gfs_client.h gfs_io.h gfs_pio.h schedule.h context.h
gfs_pio_remote.lo: $(GFUTIL_SRCDIR)/queue.h host.h config.h gfs_proto.h gfs_client.h gfs_io.h gfs_pio.h schedule.h
gfs_pio_section.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/queue.h context.h liberror.h gfs_profile.h host.h config.h gfm_proto.h gfm_client.h gfm_schedule.h gfs_client.h gfs_proto.h gfs_io.h gfs_pio.h schedule.h filesystem.h gfs_failover.h
gfs_pio_failover.lo: $(GFUTIL_SRCDIR)/queue.h config.h gfm_client.h gfs_client.h gfs_io.h gfs_pio.h filesystem.h gfs_failover.h gfs_file_list.h gfs_misc.h
gfs_profile.lo: $(GFUTIL_SRCDIR)/timer.h context.h
gfs_proto.lo: gfs_proto.h
gfs_quota.lo: config.h quota_info.h
gfs_readlink.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
gfs_realpath.lo: gfm_client.h lookup.h
gfs_remove.lo: $(GFUTIL_SRCDIR)/gfutil.h context.h gfm_client.h lookup.h
gfs_rename.lo: context.h gfm_client.h lookup.h
gfs_replica.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
gfs_replica_info.lo: gfm_proto.h gfm_client.h lookup.h
gfs_replicate.lo: config.h host.h gfm_client.h gfs_client.h lookup.h schedule.h gfs_misc.h gfs_failover.h
gfs_rmdir.lo:
gfs_stat.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/queue.h $(GFUTIL_SRCDIR)/timer.h context.h gfs_profile.h gfm_client.h lookup.h gfs_pio.h gfs_misc.h gfs_failover.h
gfs_statfs.lo: gfm_client.h lookup.h config.h gfs_failover.h
gfs_statfsnode.lo: config.h gfm_client.h gfs_client.h lookup.h gfs_failover.h
gfs_statsw.lo: gfs_dircache.h
gfs_symlink.lo: $(GFUTIL_SRCDIR)/gfutil.h context.h gfm_client.h lookup.h
gfs_unlink.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h context.h gfs_profile.h
gfs_util.lo:
gfs_utimes.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h lookup.h
gfs_xattr.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h context.h gfm_client.h lookup.h gfs_io.h gfs_misc.h gfs_profile.h xattr_info.h gfs_failover.h
gfs_acl.lo: $(GFUTIL_SRCDIR)/gfutil.h
gfarm_foreach.lo: gfarm_foreach.h
gfarm_path.lo: gfarm_path.h
glob.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h patmatch.h
humanize_number.lo:
host.lo: $(GFUTIL_SRCDIR)/gfnetdb.h context.h hostspec.h gfm_client.h host.h
hostspec.lo: $(GFUTIL_SRCDIR)/gfnetdb.h liberror.h hostspec.h
import_help.lo: liberror.h
io_fd.lo: context.h iobuffer.h gfp_xdr.h io_fd.h config.h
io_gfsl.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFSL_SRCDIR)/gfarm_secure_session.h context.h liberror.h iobuffer.h gfp_xdr.h io_fd.h io_gfsl.h config.h
iobuffer.lo: iobuffer.h crc32.h
liberror.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h gfpath.h
lookup.lo: $(GFUTIL_SRCDIR)/gfutil.h context.h config.h gfm_client.h lookup.h gfs_failover.h
metadb_common.lo: metadb_common.h xattr_info.h quota_info.h metadb_server.h
metadb_server.lo: gfm_proto.h metadb_server.h
patmatch.lo: patmatch.h
param.lo: liberror.h hostspec.h param.h
schedule.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/timer.h context.h liberror.h conn_hash.h host.h config.h gfm_proto.h gfm_client.h gfs_client.h schedule.h lookup.h gfs_profile.h filesystem.h gfs_failover.h
sockutil.lo: $(GFUTIL_SRCDIR)/gfnetdb.h sockutil.h
sockopt.lo: context.h liberror.h hostspec.h param.h sockopt.h
stringlist.lo:
timespec.lo: timespec.h
url.lo: $(GFUTIL_SRCDIR)/queue.h config.h gfs_pio.h

include $(optional_rule)

=== regress/server/gfmd/db_journal/Makefile ===
top_builddir = ../../../..
top_srcdir = $(top_builddir)
srcdir =.

include $(top_srcdir)/makes/var.mk
include $(top_srcdir)/server/Makefile.inc

CFLAGS = $(pthread_includes) $(COMMON_CFLAGS) \
	-I$(GFUTIL_SRCDIR) -I$(GFSL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(srcdir) \
	-I$(GFMD_SRCDIR) \
	$(metadb_client_includes) $(optional_cflags)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(metadb_client_libs) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = db_journal_test

PRIVATE_RULE = $(PRIVATE_SERVER_GFMD_RULE)
PRIVATE_SRCS = $(PRIVATE_SERVER_GFMD_SRCS)
PRIVATE_FILES = $(PRIVATE_SERVER_GFMD_FILES)
PRIVATE_OBJS = $(PRIVATE_SERVER_GFMD_OBJS)
PUBLIC_RULE  = /dev/null
PUBLIC_SRCS  =
PUBLIC_OBJS  =

SRCS = \
	$(GFMD_SRCDIR)/abstract_host.c \
	$(GFMD_SRCDIR)/acl.c \
	$(GFMD_SRCDIR)/back_channel.c \
	$(GFMD_SRCDIR)/callout.c \
	$(GFMD_SRCDIR)/db_access.c \
	$(GFMD_SRCDIR)/db_journal.c \
	$(GFMD_SRCDIR)/db_journal_apply.c \
	$(GFMD_SRCDIR)/db_none.c \
	$(GFMD_SRCDIR)/dead_file_copy.c \
	$(GFMD_SRCDIR)/dir.c \
	$(GFMD_SRCDIR)/group.c \
	$(GFMD_SRCDIR)/host.c \
	$(GFMD_SRCDIR)/inode.c \
	$(GFMD_SRCDIR)/job.c \
	$(GFMD_SRCDIR)/journal_file.c \
	$(GFMD_SRCDIR)/mdhost.c \
	$(GFMD_SRCDIR)/mdcluster.c \
	$(GFMD_SRCDIR)/gfmd_channel.c \
	$(GFMD_SRCDIR)/peer.c \
	$(GFMD_SRCDIR)/process.c \
	$(GFMD_SRCDIR)/quota.c \
	$(GFMD_SRCDIR)/replica_check.c \
	$(GFMD_SRCDIR)/rpcsubr.c \
	$(GFMD_SRCDIR)/subr.c \
	$(GFMD_SRCDIR)/thrpool.c \
	$(GFMD_SRCDIR)/user.c \
	$(GFMD_SRCDIR)/watcher.c \
	$(GFMD_SRCDIR)/xattr.c \
	$(GFMD_SRCDIR)/fsngroup.c \
	db_journal_test.c empty_ops.c

OBJS =	\
	$(GFMD_BUILDDIR)/abstract_host.o \
	$(GFMD_BUILDDIR)/acl.o \
	$(GFMD_BUILDDIR)/back_channel.o \
	$(GFMD_BUILDDIR)/callout.o \
	$(GFMD_BUILDDIR)/db_access.o \
	$(GFMD_BUILDDIR)/db_journal_apply.o \
	$(GFMD_BUILDDIR)/db_none.o \
	$(GFMD_BUILDDIR)/dead_file_copy.o \
	$(GFMD_BUILDDIR)/dir.o \
	$(GFMD_BUILDDIR)/group.o \
	$(GFMD_BUILDDIR)/host.o \
	$(GFMD_BUILDDIR)/inode.o \
	$(GFMD_BUILDDIR)/job.o \
	$(GFMD_BUILDDIR)/journal_file.o \
	$(GFMD_BUILDDIR)/mdhost.o \
	$(GFMD_BUILDDIR)/mdcluster.o \
	$(GFMD_BUILDDIR)/gfmd_channel.o \
	$(GFMD_BUILDDIR)/peer.o \
	$(GFMD_BUILDDIR)/process.o \
	$(GFMD_BUILDDIR)/quota.o \
	$(GFMD_BUILDDIR)/replica_check.o \
	$(GFMD_BUILDDIR)/rpcsubr.o \
	$(GFMD_BUILDDIR)/subr.o \
	$(GFMD_BUILDDIR)/thrpool.o \
	$(GFMD_BUILDDIR)/user.o \
	$(GFMD_BUILDDIR)/watcher.o \
	$(GFMD_BUILDDIR)/xattr.o \
	$(GFMD_BUILDDIR)/fsngroup.o \
	db_journal_test.o empty_ops.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk
include $(top_srcdir)/makes/gflog.mk

###

$(OBJS): $(DEPGFARMINC)

$(OBJS): $(DEPGFARMINC) \
	$(GFUTIL_SRCDIR)/gfutil.h \
	$(GFUTIL_SRCDIR)/hash.h \
	$(GFUTIL_SRCDIR)/id_table.h \
	$(GFUTIL_SRCDIR)/tree.h \
	$(GFUTIL_SRCDIR)/thrsubr.h \
	$(GFARMLIB_SRCDIR)/patmatch.h \
	$(GFARMLIB_SRCDIR)/gfp_xdr.h \
	$(GFARMLIB_SRCDIR)/io_fd.h \
	$(GFARMLIB_SRCDIR)/sockopt.h \
	$(GFARMLIB_SRCDIR)/auth.h \
	$(GFARMLIB_SRCDIR)/config.h \
	$(GFARMLIB_SRCDIR)/gfm_proto.h \
	$(GFARMLIB_SRCDIR)/gfj_client.h \
	$(GFARMLIB_SRCDIR)/timespec.h \
	$(GFMD_SRCDIR)/thrpool.h \
	$(GFMD_SRCDIR)/subr.h \
	$(GFMD_SRCDIR)/rpcsubr.h \
	$(GFMD_SRCDIR)/callout.h \
	$(GFMD_SRCDIR)/watcher.h \
	$(GFMD_SRCDIR)/user.h \
	$(GFMD_SRCDIR)/group.h \
	$(GFMD_SRCDIR)/host.h \
	$(GFMD_SRCDIR)/peer.h \
	$(GFMD_SRCDIR)/dead_file_copy.h \
	$(GFMD_SRCDIR)/process.h \
	$(GFMD_SRCDIR)/job.h \
	$(GFMD_SRCDIR)/dir.h \
	$(GFMD_SRCDIR)/inode.h \
	$(GFMD_SRCDIR)/fs.h \
	$(GFMD_SRCDIR)/back_channel.h \
	$(GFMD_SRCDIR)/protocol_state.h \
	$(GFMD_SRCDIR)/quota.h \
	$(GFMD_SRCDIR)/replica_check.h \
	$(GFMD_SRCDIR)/xattr.h \
	$(GFMD_SRCDIR)/journal_file.h \
	$(GFMD_SRCDIR)/db_journal.h \
	$(GFMD_SRCDIR)/db_journal_apply.h

include $(optional_rule)

=== debian/changelog ===
gfarm (2.6.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2014].
  * gfarm-client: install `/usr/bin/gfln`.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 May 2015 00:45:00 +1000

gfarm (2.6.4+dfsg-1) unstable; urgency=low

  * New upstream release [April 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 20:06:11 +1000

gfarm (2.6.3+dfsg-1) unstable; urgency=low

  * New upstream release [April 2014].
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Apr 2015 03:58:38 +1000

gfarm (2.6.2+dfsg-1) experimental; urgency=low

  * New upstream release [March 2014].
  * Install new man pages.
  * Install "unconfig" script templates.
  * watch: introduced "repacksuffix=+dfsg".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Mar 2015 21:11:18 +1100

gfarm (2.6.1+dfsg-1) experimental; urgency=low

  * New upstream release [March 2014].
  * Install new [config-gfarm.8, config-gfarm-update.8] man pages.
  * gfmd: promote "postgresql | slapd" to Recommends.
  * Patchworks:
    + New "pg_ctl.patch" to detect PostgreSQL version without "pg_config".
    - Removed [06_host_os_nickname, build-man, hardening, spelling, utf-8].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Mar 2015 10:39:31 +1100

gfarm (2.6.0+dfsg-2) experimental; urgency=low

  * Corrected symbols' architecture.
  * dh-systemd.
  * gfmd, gfsd: added "-v" option to service files.
    to log verbose messages on authentication.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 06 Jan 2015 05:24:33 +1100

gfarm (2.6.0+dfsg-1) experimental; urgency=low

  * New upstream release [December 2014].
  * New maintainer (Closes: #715446); removed Uploaders.
  * Added "debian/gbp.conf".
  * Added Vcs links to new repository at collab-maint.
  * Removed obsolete "DM-Upload-Allowed".
  * Standards-Version: 3.9.6.
  * Debhelper & compat to version 9.
  * Use dh-autoreconf (Closes: #727868).
  * "--as-needed" to minimise needless linking.
  * Cleanup; removed obsolete README.Debian.
  * Install upstream changelog as such.
  * Don't install upstream build instructions.
  * Ignore changes in "makes/config.mk".
  * Simplified installation of man pages.
  * Build with all hardening.
  * Build man pages.
  * Re-build JAR files from "build-indep" target.
  * gfarm-client:
    + install more utilities and man pages.
    + added "gfarm2fs" to Recommends.
  * gfmd:
    + remove RPATH using "chrpath".
    + Suggests postgresql OR slapd, not both.
  * gfmd, gfsd:
    + added "gfarm-client" to Recommends.
    + optimised list of installed files.
    + install systemd service templates used by "config-gfarm".
    + install systemd services.
    + prevent automatic service start-up (dh_installinit --no-start).
    + added LSB description to init files.
    + new postrm handlers to remove systemd services or purge.
    + new postinst handlers to create "_gfarmfs" user and make
      "/var/lib/gfarmfs" directory; Depends: +adduser.
  * Multi-Arch for -doc and "libgfarm1" packages.
  * libgfarm:
    + install symbols.
    - don't install .la file.
  * watch: minor update; dfsg mangle.
  * copyright:
    + converted to copyright-format-1.0.
    + added Files-Excluded section to remove "hpux/getmemsize.c"
      (taken from not-for-sale HPUX FAQ) and pre-built JAR files.
    + Expat a.k.a. MIT license for Debian packaging.
  * Patchworks:
    - 00_libraries.patch
    - 09_change-shell.patch
    - debian-changes-2.4.1-1
    - 04_MAXPATHLEN.patch
    - 05_PATH_MAX.patch
    - 07_MAXHOSTNAMELEN.patch
    + build-hurd.patch (consolidated Hurd "MAX" definitions)
    + build-man.patch (correct man pages build process)
    + clean.patch (cleanup assist)
    + debian.patch (Debian path customisations)
    + defaults.patch (enable PostgreSQL "Data page checksums")
    + hardening.patch (use CPPFLAGS)
    + spelling.patch (minor spelling corrections)
    + utf8.patch (use UTF8 encoding to fix JAR re-build)
  * Build-Depends:
    + dh-autoreconf
    + chrpath
    + docbook-xml
    + docbook-xsl
    + xsltproc
    - postgresql
    - autoconf
    - libtool
  * Build-Depends-Indep:
    + ant
    + default-jdk

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 05 Jan 2015 20:42:29 +1100

## gfarm 2.6.5+dfsg

=== debian/changelog ===
gfarm (2.6.5+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2015].
  * Avoid collision between generated and package-provided services:
    - dropped "debian.patch" (custom .service files should stay under "/etc").
    - postinst: do not remove .service files from "/lib/systemd/system",
      trust dh_systemd helper to do the clean-up.
  * gfarm-client: install utilities `gfsudo`, `gfpcopy` and `gfprep`.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 25 Jun 2015 18:16:18 +1000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

## --parallel do not work.
%:
	dh $@ --with autoreconf,autotools_dev,systemd
	## It is intentional to use dh-autoreconf and autotools-dev together
	## as dh-autoreconf alone do not update congig.(sub|guess) files here.

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_build:
	dh_auto_build
	## (re-)build man pages:
	$(MAKE) man

build-indep:
	cd util/gfront/gfront && ant clean && ant
	cd snmptool/gmonitor3 && ant clean && ant

override_dh_auto_install:
	dh_auto_install
	chrpath --delete debian/tmp/usr/sbin/gfmd

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

override_dh_installman:
	dh_installman
	dh_installman --package=gfarm-client --language=ja $(shell cat debian/gfarm-client.manpages_ja)
	dh_installman --package=gfmd --language=ja $(shell cat debian/gfmd.manpages_ja)
	dh_installman --package=gfsd --language=ja $(shell cat debian/gfsd.manpages_ja)
	dh_installman --package=libgfarm-dev debian/tmp/usr/share/man/man3/*.3
	dh_installman --package=libgfarm-dev --language=ja debian/tmp/usr/share/man/ja/man3/*.3

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

## gfarm 2.6.5.1+dfsg

=== debian/changelog ===
gfarm (2.6.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2015].
  * libgfarm-dev: do not provide static library files (*.a) any more.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 08 Jul 2015 20:22:46 +1000

=== debian/control ===
Source: gfarm
Section: net
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,dh-autoreconf ,autotools-dev ,dh-systemd ,chrpath
              ,libssl-dev
              ,libldap2-dev
              ,libpq-dev
        ,docbook-xml
        ,docbook-xsl
        ,xsltproc
Build-Depends-Indep: default-jdk, ant
Standards-Version: 3.9.6
Homepage: http://datafarm.apgrid.org/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gfarm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gfarm.git

Package: gfarm-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Gfarm file system documentation
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides documentation for Gfarm.

Package: libgfarm1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gfarm file system runtime library
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the shared library required for accessing
 files via Gfarm.

Package: libgfarm-dev
Section: libdevel
Architecture: any
Depends: libgfarm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgfarm-dev
Description: Gfarm file system development files
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the static library, header files, and man
 pages required for Gfarm development.

Package: gfmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client, postgresql | slapd
Suggests: gfarm-doc
Description: Gfarm file system metadata server
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm metadata server, which equips a
 host to function as a server node managing file system metadata.

Package: gfsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client
Suggests: gfarm-doc
Description: Gfarm file system daemon
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm file system daemon, which equips a
 host to function as a storage node for the network.

Package: gfarm-client
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gfarm2fs
Suggests: gfarm-doc
Description: Gfarm file system clients
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides client utilities for Gfarm.

## gfarm 2.6.6+dfsg

=== gfptool/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

MPI_TARGETS = gfwc
GFSHOOK_TARGETS = gfcombine_hook gfcp_hook

SUBDIRS = \
	gfcombine \
	gfcp \
	gfgrep \
	gfsplck \
	$(mpi_targets) \
	util \
	$(gfshook_targets)

include $(top_srcdir)/makes/subdir.mk

=== gftool/gfncopy/Makefile ===
# $Id: Makefile 8361 2013-07-18 10:48:31Z takuya-i $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfncopy.c
OBJS = gfncopy.o
PROGRAM = gfncopy
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	-I$(GFREP_SRCDIR) -I$(srcdir) $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk
include $(top_srcdir)/makes/subdir.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFARMLIB_SRCDIR)/gfarm_foreach.h \
	$(GFARMLIB_SRCDIR)/gfarm_path.h \
	$(GFARMLIB_SRCDIR)/gfm_client.h \
	$(GFARMLIB_SRCDIR)/lookup.h \
	$(GFARMLIB_SRCDIR)/metadb_server.h \
	$(GFARMLIB_SRCDIR)/repattr.h

=== gftool/gfquota/gfedquota/Makefile ===
top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfedquota
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFARMLIB_SRCDIR)/gfm_client.h

## gfarm 2.6.7%2Bdfsg

=== man/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = man1 man3 man5 man7 man8 ja

include $(top_srcdir)/makes/subdir.mk

=== gftool/gfchmod/Makefile ===
# $Id: Makefile 6684 2012-09-27 15:30:59Z tatebe $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfchmod
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) $(GFARMLIB_SRCDIR)/gfarm_path.h

=== gftool/gfhostgroup/Makefile ===
# $Id: Makefile 7637 2013-01-17 05:52:52Z takuya-i $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfhostgroup
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC) \
	$(GFARMLIB_SRCDIR)/config.h \
	$(GFARMLIB_SRCDIR)/fsngroup_info.h \
	$(GFARMLIB_SRCDIR)/gfarm_path.h \
	$(GFARMLIB_SRCDIR)/gfm_client.h \
	$(GFARMLIB_SRCDIR)/lookup.h

=== gftool/gfsck/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfsck
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDLIBS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== man/man3/Makefile ===
# $Id: Makefile 8427 2013-07-29 01:10:47Z m-kasahr $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

DOCBOOK_DIR=$(top_srcdir)/doc/docbook/en/ref/man3
include $(DOCBOOK_DIR)/Makefile.inc
MAN = $(DOCBOOK)
DOCBOOK2MAN_XSL = ../docbook2man.xsl
EXTRA_CLEAN_TARGETS = manpage.links manpage.refs

include $(top_srcdir)/makes/man.mk

=== systest/testcases/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	$(srcdir)/failover_by_kill \
 	$(srcdir)/failover_by_reboot \
 	$(srcdir)/failover_in_read \
-	$(srcdir)/failover_in_write
+	$(srcdir)/failover_in_write \
+	$(srcdir)/failover_in_mkdir
 
 include $(top_srcdir)/makes/data.mk

=== bench/gfperf/gfperf-parallel-autoreplica/Makefile ===
# $Id: Makefile 2533 2006-03-31 10:50:56Z takuya $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) \
	-I$(srcdir)/../gfperf-lib $(openssl_includes)
LDLIBS = $(COMMON_LDFLAGS) -L../gfperf-lib $(GFARMLIB) $(LIBS) -lgfperf
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = gfperf-parallel-autoreplica
OBJS = ../gfperf-autoreplica/gfperf-autoreplica-main.o

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

=== man/ja/man7/Makefile ===
# $Id: Makefile 8426 2013-07-29 01:05:54Z m-kasahr $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk
include $(srcdir)/../Makefile.inc

DOCBOOK_DIR=$(top_srcdir)/doc/docbook/ja/ref/man7
include $(DOCBOOK_DIR)/Makefile.inc
MAN = $(DOCBOOK)
DOCBOOK2MAN_XSL = ../docbook2man.xsl
EXTRA_CLEAN_TARGETS = manpage.links manpage.refs

include $(top_srcdir)/makes/man.mk

=== man/ja/man8/Makefile ===
# $Id: Makefile 8427 2013-07-29 01:10:47Z m-kasahr $

top_builddir = ../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk
include $(srcdir)/../Makefile.inc

DOCBOOK_DIR=$(top_srcdir)/doc/docbook/ja/ref/man8
include $(DOCBOOK_DIR)/Makefile.inc
MAN = $(DOCBOOK)
DOCBOOK2MAN_XSL = ../docbook2man.xsl
EXTRA_CLEAN_TARGETS = manpage.links manpage.refs

include $(top_srcdir)/makes/man.mk

=== doc/html/en/ref/man3/Makefile ===
# $Id: Makefile 8427 2013-07-29 01:10:47Z m-kasahr $

top_builddir = ../../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

htmldir=$(default_htmldir)/en/ref/man3

DOCBOOK_DIR=$(top_srcdir)/doc/docbook/en/ref/man3
include $(DOCBOOK_DIR)/Makefile.inc
HTMLSRC=$(DOCBOOK)
DOCBOOK2HTML_XSL=../docbook2html.xsl

include $(top_srcdir)/makes/html.mk

## gfarm 2.6.7+dfsg

=== gftool/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

GFVOMS_SYNC_TARGETS = gfvoms-sync

include $(top_srcdir)/makes/var.mk
PRIVATE_TARGETS = $(PRIVATE_GFTOOL_SUBDIRS)
PUBLIC_TARGETS =

SUBDIRS = \
	gfchmod \
	gfchown \
	gfcksum \
	gfdf \
	gfdump \
	gfexport \
	gfdirpath \
	gffilepath \
	gffindxmlattr \
	gfgetfacl \
	gfgroup \
	gfhost \
	gfjournal \
	gfjournaladmin \
	gfjournaldump \
	gfkey \
	gfln \
	gfls \
	gfmdhost \
	gfmkdir \
	gfmv \
	gfncopy \
	gfpath \
	gfprep \
	gfquota \
	gfreg \
	gfrep \
	gfrepcheck \
	gfrm \
	gfrmdir \
	gfsched \
	gfsetfacl \
	gfspoolgen \
	gfspoolinum \
	gfspoolmd5 \
	gfspoolpath \
	gfstat \
	gfstatus \
	gfsudo \
	gftest \
	gfuser \
	gfusage \
	$(gfvoms_sync_targets) \
	gfwhere \
	gfwhoami \
	gfxattr \
	config-gfarm \
	gfhostgroup \
	$(optional_targets)

#	gfifo \
#	gfpwd \
#	gfsck \
#	gfsetdir \
#	gfq \

include $(top_srcdir)/makes/subdir.mk

=== lib/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

GFSHOOK_TARGETS = gfs_hook

SUBDIRS = \
	libgfarm
#XXX
#	$(gfshook_targets)

include $(top_srcdir)/makes/subdir.mk

=== regress/Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	lib/libgfarm/gfarm/gfs_getxattr_cached \
 	lib/libgfarm/gfarm/gfm_inode_or_name_op_test \
 	server/gfmd/db_journal \
-	manual/lib/libgfarm/gfarm/gfs_pio_failover
+	manual/lib/libgfarm/gfarm/gfs_pio_failover \
+	manual/server/gfsd/fo_notify_test
 
 check test: all
 	@echo ""

=== bench/thput-gfpio/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

PROGRAM = thput-gfpio
OBJS = thput-gfpio.o

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

=== gfptool/gfcombine/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfcombine.c
OBJS = gfcombine.o
PROGRAM = gfcombine
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC)

=== gfptool/gfcombine_hook/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfcombine_hook.c
OBJS = gfcombine_hook.o
PROGRAM = gfcombine_hook
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(top_builddir)/lib/gfs_hook/gfs_hook.o $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB) $(top_builddir)/lib/gfs_hook/gfs_hook.o

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC)

=== gfptool/gfcp/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfcp.c
OBJS = gfcp.o
PROGRAM = gfcp
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC)

=== gfptool/gfcp_hook/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = gfcp_hook.c
OBJS = gfcp_hook.o
PROGRAM = gfcp_hook
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(top_builddir)/lib/gfs_hook/gfs_hook.o $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB) $(top_builddir)/lib/gfs_hook/gfs_hook.o

all: $(PROGRAM)

include $(top_srcdir)/makes/gfptool.mk

###

$(OBJS): $(DEPGFARMINC)

=== gfptool/util/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

# gfregister is an administration command.
bindir = $(sbindir)

SCRIPTS= gfregister

include $(top_srcdir)/makes/script.mk

distclean:
	-rm -f $(SCRIPTS)

=== gftool/addpath/Makefile ===
# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SRCS = addpath.c
OBJS = addpath.o
PROGRAM = addpath
CFLAGS = $(COMMON_CFLAGS) -I$(GFARMLIB_SRCDIR)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== gftool/config-gfarm/Makefile ===
# $Id: Makefile 9551 2015-03-03 09:05:05Z m-kasahr $

top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS= sysdep/$(config_gfarm_sysdep_subdir)

datadir=$(default_datadir)/gfarm/config

PRIVATE_SRCS = $(PRIVATE_GFTOOL_CONFIG_GFARM_SRCS)

SCRIPTS = $(srcdir)/gfarm.arch.guess $(optional_srcs)
BUILT_SCRIPTS = config-gfarm config-gfarm-update config-gfsd \
	config-gfmd-iostat config-gfsd-iostat

DATA =	$(srcdir)/config-gfarm.common \
	$(srcdir)/config-gfarm.postgresql \
	$(srcdir)/config-gfarm.ldap \
	$(srcdir)/config-gfarm.iostat \
	$(srcdir)/config-gfarm-update.postgresql \
	$(srcdir)/config-gfarm-update.ldap \
	$(srcdir)/unconfig-gfarm.sh.in \
	$(srcdir)/unconfig-gfsd.sh.in \
	$(srcdir)/gfarm.conf-postgresql.in \
	$(srcdir)/gfarm.conf-ldap.in \
	$(srcdir)/gfarm.conf.in \
	$(srcdir)/slapd.conf-2.0.in \
	$(srcdir)/slapd.conf-2.1.in \
	$(srcdir)/gfarm.sql \
	$(srcdir)/gfarm-xmlattr.sql \
	$(srcdir)/gfarm.schema \
	$(srcdir)/initial.ldif.in \
	$(srcdir)/bdb.DB_CONFIG.in

include $(top_srcdir)/makes/script.mk
include $(top_srcdir)/makes/data.mk
include $(top_srcdir)/makes/subdir.mk

config-gfarm: $(srcdir)/config-gfarm.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfarm-update: $(srcdir)/config-gfarm-update.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfsd: $(srcdir)/config-gfsd.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfmd-iostat: $(srcdir)/config-gfmd-iostat.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

config-gfsd-iostat: $(srcdir)/config-gfsd-iostat.in
	$(SHELL) $(top_builddir)/makes/build-script $? $@

=== gftool/gfdirpath/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

PROGRAM = gfdirpath
SRCS = $(PROGRAM).c
OBJS = $(PROGRAM).o
CFLAGS = $(COMMON_CFLAGS)
LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(LIBS)
DEPLIBS = $(DEPGFARMLIB)

all: $(PROGRAM)

include $(top_srcdir)/makes/prog.mk

###

$(OBJS): $(DEPGFARMINC)

=== debian/changelog ===
gfarm (2.6.7+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Nov 2015 19:54:47 +1100

gfarm (2.6.6+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2015].
  * Updated URL of the upstream home page.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 30 Aug 2015 12:32:37 +1000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
         ,xsltproc
 Build-Depends-Indep: default-jdk, ant
 Standards-Version: 3.9.6
-Homepage: http://datafarm.apgrid.org/
+Homepage: https://sourceforge.net/p/gfarm/wiki/Home/
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gfarm.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/gfarm.git

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+            --disable-static
 
 override_dh_auto_build:
 	dh_auto_build

## gfarm 2.6.8+dfsg

=== debian/changelog ===
gfarm (2.6.8+dfsg-1) unstable; urgency=medium

  * New upstream release [January 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 16 Jan 2016 21:49:41 +1100

## gfarm 2.6.11+dfsg

=== bench/thput-gfpio/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $
+# $Id: Makefile 10066 2016-03-01 23:13:19Z tatebe $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -14,5 +14,3 @@
 OBJS = thput-gfpio.o
 
 all: $(PROGRAM)
-
-include $(top_srcdir)/makes/gfptool.mk

=== debian/changelog ===
gfarm (2.6.11+dfsg-2) unstable; urgency=medium

  * New patch to fix FTBFS on Alpha (Closes: #827021).
    Thanks, Michael Cree.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jun 2016 14:12:09 +1000

gfarm (2.6.11+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Jun 2016 23:15:55 +1000

gfarm (2.6.10+dfsg-2) unstable; urgency=medium

  * Updated missing symbols/i386.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 May 2016 14:58:22 +1000

gfarm (2.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * symbols: Introduced "Build-Depends-Package" field.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Apr 2016 18:50:50 +1000

gfarm (2.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Removed obsolete "build-arm.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Apr 2016 05:01:37 +1000

gfarm (2.6.8+dfsg-2) unstable; urgency=medium

  * Fixed FTBFS when built with "dpkg-buildpackage -A" (Closes: #806030).
  * New patch to fix FTBFS on [armel,armhf].
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Mar 2016 17:13:38 +1100
